Index: /BAORadio/libindi/libindi/CMakeLists.txt
===================================================================
--- /BAORadio/libindi/libindi/CMakeLists.txt	(revision 641)
+++ /BAORadio/libindi/libindi/CMakeLists.txt	(revision 642)
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 2.4.7)
+PROJECT(libindi C CXX)
 
 ##################  INDI version  ################################
 set(INDI_SOVERSION "0")
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 8)
+set(CMAKE_INDI_VERSION_MINOR 9)
 set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
@@ -13,6 +14,4 @@
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
-
-MESSAGE( STATUS "BIN_INSTALL_DIR: " ${BIN_INSTALL_DIR} )
 
 ##################  setup install directories  ################################
@@ -30,16 +29,7 @@
 include (CheckIncludeFiles)
 
-find_package(ZLIB REQUIRED)
-
-FIND_PACKAGE(Boost)
-IF (BOOST_FOUND)
-    INCLUDE_DIRECTORIES(${BOOST_INCLUDE_DIR})
-ENDIF()
-
-
-macro_optional_find_package(USB)
-macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://www.libusb.org" FALSE "" "Provides support for USB based drivers in INDI.")
-
-macro_optional_find_package(CFITSIO)
+FIND_PACKAGE(ZLIB REQUIRED)
+FIND_PACKAGE(USB REQUIRED)
+FIND_PACKAGE(CFITSIO REQUIRED)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
@@ -48,10 +38,9 @@
 
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
-macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
-
+macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
 macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
-macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://indi.sf.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
+macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
 
 check_include_files(linux/videodev2.h HAVE_LINUX_VIDEODEV2_H)
@@ -112,4 +101,7 @@
         ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.cpp
+
     )
 
@@ -121,7 +113,7 @@
 set(indiserver_SRCS indiserver.c fq.c)
 
-add_executable(indiserver ${indiserver_SRCS}  ${liblilxml_SRCS})
-
-target_link_libraries(indiserver  pthread )
+add_executable(indiserver ${indiserver_SRCS} ${liblilxml_SRCS})
+
+target_link_libraries(indiserver pthread)
 
 if (NOVA_FOUND)
@@ -129,5 +121,5 @@
 endif (NOVA_FOUND)
 
-install(TARGETS indiserver RUNTIME DESTINATION bin )
+install(TARGETS indiserver RUNTIME DESTINATION bin)
 
 #################################################
@@ -146,5 +138,5 @@
 endif(CFITSIO_FOUND)
 
-install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indi LIBRARY DESTINATION ${LIB_DESTINATION})
 set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
 
@@ -154,5 +146,5 @@
 ##################################################
 add_library(indimain STATIC ${indimain_SRCS})
-install(TARGETS indimain ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indimain ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 ##################################################
@@ -161,5 +153,5 @@
 ##################################################
 add_library(indidriver STATIC ${indimain_SRCS} ${indidriver_SRCS})
-install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indidriver ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 ##################################################
@@ -168,5 +160,5 @@
 add_library(indiclient STATIC ${indiclient_SRCS})
 target_link_libraries(indiclient indi pthread)
-install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indiclient ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 #####################################
@@ -200,5 +192,6 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp )
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp 
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
 
 add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
@@ -213,9 +206,10 @@
 
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
-"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200_16)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200gps)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
 ")
 set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
@@ -311,10 +305,12 @@
 set(BAO_SRCS
    ${indimain_SRCS}
-${CMAKE_SOURCE_DIR}/drivers/telescope/Socket.cpp
-${CMAKE_SOURCE_DIR}/drivers/telescope/ServerSocket.cpp
-${CMAKE_SOURCE_DIR}/drivers/telescope/astro.cpp
+${CMAKE_SOURCE_DIR}/communs/Socket.cpp
+${CMAKE_SOURCE_DIR}/communs/ServerSocket.cpp
+${CMAKE_SOURCE_DIR}/communs/astro.cpp
+${CMAKE_SOURCE_DIR}/communs/exception.cpp
+${CMAKE_SOURCE_DIR}/communs/filetools.cpp
+${CMAKE_SOURCE_DIR}/communs/alignement.cpp
+${CMAKE_SOURCE_DIR}/communs/logs.cpp
 ${CMAKE_SOURCE_DIR}/drivers/telescope/BAO.cpp
-${CMAKE_SOURCE_DIR}/drivers/telescope/exception.c
-${CMAKE_SOURCE_DIR}/drivers/telescope/filetools.cpp
  )
    
@@ -329,5 +325,4 @@
 
 install(TARGETS indi_BAO RUNTIME DESTINATION bin )
-
 ########### Syncscan ###############
 set(synscan_SRCS
@@ -344,4 +339,32 @@
 
 install(TARGETS indi_synscan RUNTIME DESTINATION bin )
+
+########### Magellan I #############
+set(magellan_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/magellandriver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/magellan1.cpp )
+
+add_executable(indi_magellan1 ${magellan_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_magellan1 ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_magellan1 RUNTIME DESTINATION bin )
+
+########### IEQ45 #############
+set(ieq45_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/ieq45driver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/ieq45.cpp )
+
+add_executable(indi_ieq45 ${ieq45_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_ieq45 ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_ieq45 RUNTIME DESTINATION bin )
 
 ########### Telescope Simulator ##############
@@ -361,33 +384,29 @@
 install(TARGETS indi_simulator_telescope RUNTIME DESTINATION bin )
 
+########### CCD Simulator ##############
+if (CFITSIO_FOUND)
+
+set(ccdsimulator_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/drivers/ccd/ccd_simulator.cpp
+   )
+
+add_executable(indi_simulator_ccd ${ccdsimulator_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_simulator_ccd indidriver ${CFITSIO_LIBRARIES} m z pthread)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_simulator_ccd ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_simulator_ccd RUNTIME DESTINATION bin )
+
+endif (CFITSIO_FOUND)
+
+
 #####################################
 ########## FOCUSER GROUP ############
 #####################################
 
-########### CCD Simulator ##############
-if (CFITSIO_FOUND)
-
-set(ccdsimulator_SRCS
-        ${indimain_SRCS}
-        ${CMAKE_SOURCE_DIR}/drivers/ccd/ccd_simulator.cpp
-   )
-
-add_executable(indi_simulator_ccd ${ccdsimulator_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_simulator_ccd indidriver ${CFITSIO_LIBRARIES} m z pthread)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_simulator_ccd ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_simulator_ccd RUNTIME DESTINATION bin )
-
-endif (CFITSIO_FOUND)
-
-
-#####################################
-########## FOCUSER GROUP ############
-#####################################
-
 #################################################################################
 
@@ -396,11 +415,10 @@
 set(robofocus_SRCS
 	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocus.c
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocusdriver.c
+        ${CMAKE_SOURCE_DIR}/drivers/focuser/robofocus.cpp
    )
 
 add_executable(indi_robo_focus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
 
-target_link_libraries(indi_robo_focus m)
+target_link_libraries(indi_robo_focus indidriver m z)
 
 if (NOVA_FOUND)
@@ -428,5 +446,5 @@
 
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake
-"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_tcfs_focus ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_tcfs3_focus)\n")
+"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_tcfs_focus \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_tcfs3_focus)\n")
 set_target_properties(indi_tcfs_focus PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake)
 
@@ -741,6 +759,7 @@
 ${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.h  ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.h
 ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.h  ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.h
-${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.h ${CMAKE_SOURCE_DIR}/libs/indicom.h
-${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.h
+${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.h ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.h
+${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.h
+${CMAKE_SOURCE_DIR}/libs/indicom.h ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libindi COMPONENT Devel)
 
Index: /BAORadio/libindi/libindi/ChangeLog
===================================================================
--- /BAORadio/libindi/libindi/ChangeLog	(revision 641)
+++ /BAORadio/libindi/libindi/ChangeLog	(revision 642)
@@ -1,2 +1,12 @@
+From 0.8 to 0.9
+
+      # iEQ45 GoTo German Equatorial Mount Driver.
+      # INDI::Base drivers are now used for most classes of astrnomical instruments.
+      # New improved QSI CCD & Filter driver.
+      # New improved Starlight Xpress CCD & Filter driver.
+      # New improved RoboFocus driver.
+      # libboost is no longer required to build libindi.
+      # Numerous bug fixes and minor improvements.
+
 From 0.7.2 to 0.8
 
Index: /BAORadio/libindi/libindi/Doxyfile
===================================================================
--- /BAORadio/libindi/libindi/Doxyfile	(revision 641)
+++ /BAORadio/libindi/libindi/Doxyfile	(revision 642)
@@ -6,5 +6,5 @@
 DOXYFILE_ENCODING      = UTF-8
 PROJECT_NAME           = "Instrument Neutral Distributed Interface INDI"
-PROJECT_NUMBER         = 0.7
+PROJECT_NUMBER         = 0.9
 OUTPUT_DIRECTORY       = /home/jasem/Projects/doc
 CREATE_SUBDIRS         = NO
Index: /BAORadio/libindi/libindi/INSTALL
===================================================================
--- /BAORadio/libindi/libindi/INSTALL	(revision 641)
+++ /BAORadio/libindi/libindi/INSTALL	(revision 642)
@@ -1,3 +1,3 @@
-INDI Library Setup 0.8.0
+INDI Library Setup 0.9.0
 ========================
 
@@ -19,5 +19,4 @@
 + libusb
 + libnova >= 0.12.2
-+ libfli  >= 1.7
 + cfitsio >= 3.0
 
Index: /BAORadio/libindi/libindi/Indi_Stellarium/src/Makefile
===================================================================
--- /BAORadio/libindi/libindi/Indi_Stellarium/src/Makefile	(revision 641)
+++ /BAORadio/libindi/libindi/Indi_Stellarium/src/Makefile	(revision 642)
@@ -54,5 +54,5 @@
 
 clean:
-	rm *.o *.obj
+	rm *.o TelescopeServerBAO
 
 make.dep:
Index: /BAORadio/libindi/libindi/README
===================================================================
--- /BAORadio/libindi/libindi/README	(revision 641)
+++ /BAORadio/libindi/libindi/README	(revision 642)
@@ -1,3 +1,3 @@
-libindi v0.8
+libindi v0.9
 ============
 
Index: /BAORadio/libindi/libindi/cmake_modules/FindAPOGEE.cmake
===================================================================
--- /BAORadio/libindi/libindi/cmake_modules/FindAPOGEE.cmake	(revision 641)
+++ /BAORadio/libindi/libindi/cmake_modules/FindAPOGEE.cmake	(revision 642)
@@ -52,5 +52,5 @@
   else (APOGEE_FOUND)
     if (APOGEE_FIND_REQUIRED)
-      message(FATAL_ERROR "libapogee not found. Cannot compile Apogee CCD Driver. Please install libapogee and try again. http://APOGEE.sf.net")
+      message(FATAL_ERROR "libapogee not found. Cannot compile Apogee CCD Driver. Please install libapogee and try again. http://www.indilib.org")
     endif (APOGEE_FIND_REQUIRED)
   endif (APOGEE_FOUND) 
Index: /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake
===================================================================
--- /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 641)
+++ /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 642)
@@ -60,9 +60,15 @@
   )
 
-  if(INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
-    set(INDI_FOUND TRUE)
-  else (INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
-    set(INDI_FOUND FALSE)
-  endif(INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
+  # Find pkg-config
+  FIND_PROGRAM(PKGCONFIG_EXECUTABLE NAMES pkg-config PATHS /usr/bin/ /usr/local/bin )
+
+  # query pkg-config asking for a libindi >= 0.8.0
+     EXEC_PROGRAM(${PKGCONFIG_EXECUTABLE} ARGS --atleast-version=0.8.0 libindi RETURN_VALUE _return_VALUE OUTPUT_VARIABLE _pkgconfigDevNull )
+     if(_return_VALUE STREQUAL "0")
+        set(INDI_FOUND TRUE)
+     else(_return_VALUE STREQUAL "0")
+       set(INDI_FOUND FALSE)
+       message(STATUS "Could NOT find libindi. pkg-config indicates that libindi >= 0.8.0 is not installed.")
+     endif(_return_VALUE STREQUAL "0")
 
 
@@ -72,8 +78,4 @@
       message(STATUS "INDI Include: ${INDI_INCLUDE_DIR}, INDI Data: ${INDI_DATA_DIR}")
     endif (NOT INDI_FIND_QUIETLY)
-  else (INDI_FOUND)
-    if (INDI_FIND_REQUIRED)
-      message(FATAL_ERROR "indi-dev not found. Cannot compile INDI drivers. Please install indi-dev and try again. http://www.indilib.org")
-    endif (INDI_FIND_REQUIRED)
   endif (INDI_FOUND)
 
